%define anolis_release 1
Name:       m17n-db
Summary:    Multilingualization datafiles for m17n-lib
Version:    1.8.5
Release:    %{anolis_release}%{?dist}
License:    LGPL-2.1-or-later
URL:        http://www.nongnu.org/m17n

Source0:    http://download-mirror.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
# Following is awaiting for upstream commit
Source1:    https://raw.githubusercontent.com/gnuman/m17n-inglish-mims/master/minglish/minglish.mim

BuildArch:  noarch
BuildRequires: gettext
BuildRequires: glibc-locale-source
BuildRequires: gcc
Requires:   gawk

%description
This package contains multilingualization (m17n) datafiles for m17n-lib
which describe input maps, encoding maps, OpenType font data and
font layout text rendering for languages.

%package extras
Summary:  Extra m17n-db files
Requires: %{name} = %{version}-%{release}

%description extras
m17n-db extra files for input maps that are less used.

%package devel
Summary:  Development files for m17n-db
Requires: %{name} = %{version}-%{release}

%description devel
m17n-db development files

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p0

%build
%configure
%make_build

%install
%make_install

#removing ispell.mim for rh#587927
rm %{buildroot}%{_datadir}/m17n/ispell.mim

# install minglish keymap
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/m17n

# For installing the translation files
%find_lang %name

%files 
%license COPYING
%dir %{_datadir}/m17n
%{_datadir}/m17n/mdb.dir
%{_datadir}/m17n/*.tbl
%{_datadir}/m17n/scripts
%{_datadir}/m17n/*.flt
# keymaps
%{_datadir}/m17n/a*.mim
%{_datadir}/m17n/b*.mim
%{_datadir}/m17n/c*.mim
%{_datadir}/m17n/d*.mim
%{_datadir}/m17n/e*.mim
%{_datadir}/m17n/f*.mim
%{_datadir}/m17n/g*.mim
%{_datadir}/m17n/h*.mim
%{_datadir}/m17n/i*.mim
%{_datadir}/m17n/k*.mim
%{_datadir}/m17n/l*.mim
%{_datadir}/m17n/m*.mim
%{_datadir}/m17n/n*.mim
%{_datadir}/m17n/o*.mim
%{_datadir}/m17n/p*.mim
%{_datadir}/m17n/r*.mim
%{_datadir}/m17n/s*.mim
%{_datadir}/m17n/t*.mim
%{_datadir}/m17n/u*.mim
%{_datadir}/m17n/v*.mim
%{_datadir}/m17n/y*.mim
# icons for keymaps
%{_datadir}/m17n/icons/*.png
%exclude %{_datadir}/m17n/zh-*.mim
%exclude %{_datadir}/m17n/icons/zh*.png
%exclude %{_datadir}/m17n/ja-*.mim
%exclude %{_datadir}/m17n/icons/ja*.png

%files extras -f %{name}.lang
%{_datadir}/m17n/zh-*.mim
%{_datadir}/m17n/icons/zh*.png
%{_datadir}/m17n/ja*.mim
%{_datadir}/m17n/icons/ja*.png
%{_datadir}/m17n/*.fst
%{_datadir}/m17n/*.map
%{_datadir}/m17n/*.tab
%{_datadir}/m17n/*.lnm
%{_datadir}/m17n/LOCALE.*

%files devel
%{_bindir}/m17n-db
%{_datadir}/pkgconfig/m17n-db.pc

%files doc
%doc AUTHORS README

%changelog
* Fri Mar 14 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.5-1
- Update to 1.8.5 from 1.8.3
- Migrated to SPDX license

* Sun Jul 30 2023 Funda Wang <fundawang@yeah.net> - 1.8.3-1
- New version 1.8.3

* Sun May 14 2023 Funda Wang <fundawang@yeah.net> - 1.8.2-1
- New version 1.8.2

* Mon Mar 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.0-5
- Del Specific Fields

* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 1.8.0-4
- Import package into anolis 23
